#pragma once
#include "gui.hpp"
#include "game_engine.hpp"

class Builder {
  GUI gui;
  GameEngine game;

  public:

  Builder(GUI &g, GameEngine &engine) : gui(g), game(engine) {};

  void run_build(GameEngine &game, const char* command);

  void run(const char *git_path, const char *build_cmd);

};
